Hacker Bundle

* indicates required